### File

`projects/app-base-library/src/lib/assets/sketch/index/index.component.ts`

### Metadata

selector | `sk-index`

styles

`/* Sketch Template boiler plate CSS */ .sk-template { max-width: 100%; overflow: hidden; } .sk-ab { background-color: none; margin: 0 auto; transform: scale(1); transform-origin: 0 0; position: relative; overflow: hidden; } .sk-asset { position: absolute; background-repeat: no-repeat; } .sk-router-menu, .sk-template header { text-align: center; } .sk-router-menu, ul { padding-left: 0; list-style: none; }`

template

    <header><nav class="sk-router-menu"><h2>index</h2><ul><li><a [routerLink]="['splash']">splash</a></li><li><a [routerLink]="['about']">about</a></li><li><a [routerLink]="['dev-stack']">dev-stack</a></li></ul></nav></header><router-outlet></router-outlet>

### Index

###### Properties

- Public data

### Constructor

`constructor()`
Defined in projects/app-base-library/src/lib/assets/sketch/index/index.component.ts:34

### Properties

Public data
`data: `any``
Type : `any`
Defined in projects/app-base-library/src/lib/assets/sketch/index/index.component.ts:34

    import { Component, ElementRef } from '@angular/core';
    import { Routes, RouterModule } from '@angular/router';
    	@Component({
    		selector: 'sk-index',
    		template: `<header><nav class="sk-router-menu"><h2>index</h2><ul><li><a [routerLink]="['splash']">splash</a></li><li><a [routerLink]="['about']">about</a></li><li><a [routerLink]="['dev-stack']">dev-stack</a></li></ul></nav></header><router-outlet></router-outlet>`,
    		styles:[`
    /* Sketch Template boiler plate CSS */
    .sk-template {
    	max-width: 100%;
    	overflow: hidden;
    }
    .sk-ab {
    	background-color: none;
    	margin: 0 auto;
    	transform: scale(1);
    	transform-origin: 0 0;
    	position: relative;
    	overflow: hidden;
    }
    .sk-asset {
    	position: absolute;
    	background-repeat: no-repeat;
    }
    .sk-router-menu, .sk-template header  {
    	text-align: center;
    }
    .sk-router-menu, ul {
    	padding-left: 0;
    	list-style: none;
    }
    `]
    	})
    	export class IndexComponent {
    	     public data: any;
    	     constructor() { }
    	}

Legend
Html element
Component
Html element with directive

# results matching ""

# No results matching ""